import request from '@/utils/request'

// 查询企业公示_出资人信息情况列表
export function listStatus(query) {
  return request({
    url: '/basicData/xcrEnterprisePublicityInvestorInformationStatus/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业公示_出资人信息情况详细
export function getStatus(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityInvestorInformationStatus/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业公示_出资人信息情况
export function addStatus(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityInvestorInformationStatus',
    method: 'post',
    data: data
  })
}

// 修改企业公示_出资人信息情况
export function updateStatus(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityInvestorInformationStatus',
    method: 'put',
    data: data
  })
}

// 删除企业公示_出资人信息情况
export function delStatus(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityInvestorInformationStatus/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delStatusBatch(ids) {
  return request.post('/basicData/xcrEnterprisePublicityInvestorInformationStatus/delete',ids)
}
